<?php 
if(!file_exists($catalog."/css.php"))exit("Не надо этот файл открывать!");
$conf=file($catalog."/admin/conf/sett.txt");
for($n=0;$n<count($conf);$n++)$conf[$n]=trim($conf[$n]);
$size_img_cat=$conf[31];
include($catalog."/admin/db/zagl");


if(!isset($over))include_once($catalog."/func.php");
if(!isset($over))$over=true;
//include_once("$catalog/css.php"); //убрано для переноса стиля в head материнской страницы
$news1=array();
$news=array();
$d=opendir($catalog."/admin/db/news");
while(($e=readdir($d))!=false)
   {
     if($e =="." || $e ==".." || $e==".htaccess") continue;
     $news1[]=$e;
   }
closedir($d);

 foreach($news1 as $line)
 {
   $text=file("$catalog/admin/db/news/$line");
   $text[0]=trim($text[0]);
   $news[$text[0]]=$line;
 }
if(!isset($conf[37])|| $conf[37]!=2) krsort($news,SORT_NUMERIC);
else ksort($news,SORT_NUMERIC);
$arr_month=array("января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
$cat=array();
$id_cat=array();
$cat=file("$catalog/admin/db/cat.txt");

foreach($cat as $line)
 {
   $line=trim($line);
   $expl=explode("*",$line);
   $id_cat[$expl[0]]=$expl[1];
 }

$i=0;
foreach($news as $line)
 {
   if($i==$conf[33])break;
   $text=file("$catalog/admin/db/news/$line");
   $foto=array();
   $foto=file("$catalog/admin/db/id_foto/$line");
   for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
   $get_date=getdate($text[0]);
   //настройки даты
   $view_date=date("d",$text[0]);
   if($conf[7]==1) $view_date.=".".date("m",$text[0]);
   else $view_date.=".".$arr_month[$get_date['mon']-1];

   if($conf[6]==1) $view_date.=".".date("y",$text[0]);
   else $view_date.=".".date("Y",$text[0]);

   if($conf[8]==1) $view_date.=" ".date("H:i",$text[0]);
   if($conf[7]==2)$view_date=str_replace("."," ",$view_date);


$keyWrds=explode(',',$text[5]);
foreach($keyWrds as &$word) {$word=trim($word);}
unset ($word);
$imSettings['blog']['posts'][$line] = array(
	'id' => $line,
	'title' => $text[2],
	'author' => 'автор',
	'category' => $id_cat[$text[1]],
	'summary' => $text[3],
	'body' => $text[4],
	'timestamp' => $get_date['mday'].'/'.$get_date['mon'].'/'.$get_date['year'].' '.$get_date['hours'].':'.$get_date['minutes'].':'.$get_date['seconds'],
	'utc_time' => $get_date[0],
	'month' => $get_date['year'].$get_date['mon'],
	'comments' => true,
	'sources' => array(),
	'tag' => $keyWrds,
	'opengraph' => array(
		'url' => 'http://demo.gswebsite.ru/1/blog/?id='.$line,
		'type' => 'article',
		'title' => $text[2],
		'description' => $text[3],
		'updated_time' => $get_date[0],
		'images' => array()
	)
);
$imSettings['blog']['posts_cat'][$id_cat[$text[1]]][] = $line;
$imSettings['blog']['posts_month'][$get_date['year'].$get_date['mon']][] = $line;
   $i++;
 }
 

function sort_pm($a, $b)
{
  $r1 = -$a["utc_time"]+$b["utc_time"];
  return $r1;
}
uasort($imSettings['blog']['posts'], "sort_pm");
//print_r ($op_ar);
//print_r ($imSettings['blog']['posts']);


?>